> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/api-registration.md).

# API Registration

## Gets a list of api\_config profiles

> This endpoint is used to fetch all the api\_config profiles in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ApiRegister":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"authentication_type":{"type":"string","readOnly":true},"api_id":{"type":"string","maxLength":225},"api_modified_id":{"type":"string","nullable":true},"name":{"type":"string","maxLength":225},"api_url":{"type":"string"},"description":{"type":"string"},"client_id":{"type":"string"},"app_code":{"type":"string"},"secret_key":{"type":"string"},"user_name":{"type":"string"},"api_password":{"type":"string"},"is_base64_password":{"type":"boolean"},"auth_key":{"type":"string"},"auth_value":{"type":"string"},"content_type":{"type":"integer"},"auth_type":{"type":"integer"},"add_key_to":{"type":"integer"},"token_url":{"type":"string"},"token_prefix":{"type":"string"},"csrf_url":{"type":"string"},"token_key":{"type":"string"},"token_header_key":{"type":"string"},"token_body":{"type":"string"},"csrf_key":{"type":"string"},"request_type":{"type":"integer"},"user":{"type":"string"},"header_params":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"api_type":{"type":"integer"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"is_active":{"type":"boolean"},"is_base64":{"type":"boolean"},"query_param":{"type":"boolean"},"is_sandbox":{"type":"boolean"},"sandbox_url":{"type":"string"},"is_webhook_enabled":{"type":"boolean"}},"required":["api_id","authentication_type","id","organization"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/apiregister/profile/":{"get":{"operationId":"ux_common_apiregister_profile_list","description":"This endpoint is used to fetch all the api_config profiles in the current organization","summary":"Gets a list of api_config profiles","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["API Registration"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApiRegister"}}}},"description":""}}}}}}
```

## Creates a new API configuration&#x20;

> This endpoint is used to save a new api\_config for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/apiregister/profile/":{"post":{"operationId":"ux_common_apiregister_profile_create","description":"This endpoint is used to save a new api_config for the current organization","summary":"Creates a new API configuration ","tags":["API Registration"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a api\_config with the given id

> This endpoint is used to fetch a api\_config details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ApiRegister":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"authentication_type":{"type":"string","readOnly":true},"api_id":{"type":"string","maxLength":225},"api_modified_id":{"type":"string","nullable":true},"name":{"type":"string","maxLength":225},"api_url":{"type":"string"},"description":{"type":"string"},"client_id":{"type":"string"},"app_code":{"type":"string"},"secret_key":{"type":"string"},"user_name":{"type":"string"},"api_password":{"type":"string"},"is_base64_password":{"type":"boolean"},"auth_key":{"type":"string"},"auth_value":{"type":"string"},"content_type":{"type":"integer"},"auth_type":{"type":"integer"},"add_key_to":{"type":"integer"},"token_url":{"type":"string"},"token_prefix":{"type":"string"},"csrf_url":{"type":"string"},"token_key":{"type":"string"},"token_header_key":{"type":"string"},"token_body":{"type":"string"},"csrf_key":{"type":"string"},"request_type":{"type":"integer"},"user":{"type":"string"},"header_params":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"api_type":{"type":"integer"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"is_active":{"type":"boolean"},"is_base64":{"type":"boolean"},"query_param":{"type":"boolean"},"is_sandbox":{"type":"boolean"},"sandbox_url":{"type":"string"},"is_webhook_enabled":{"type":"boolean"}},"required":["api_id","authentication_type","id","organization"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/apiregister/profile/{id}/":{"get":{"operationId":"ux_common_apiregister_profile_retrieve","description":"This endpoint is used to fetch a api_config details in the current organization","summary":"Gets a api_config with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["API Registration"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRegister"}}},"description":""}}}}}}
```

## Edits the api\_config with given id

> This endpoint is used to edit an existing api\_config for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ApiRegister":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"authentication_type":{"type":"string","readOnly":true},"api_id":{"type":"string","maxLength":225},"api_modified_id":{"type":"string","nullable":true},"name":{"type":"string","maxLength":225},"api_url":{"type":"string"},"description":{"type":"string"},"client_id":{"type":"string"},"app_code":{"type":"string"},"secret_key":{"type":"string"},"user_name":{"type":"string"},"api_password":{"type":"string"},"is_base64_password":{"type":"boolean"},"auth_key":{"type":"string"},"auth_value":{"type":"string"},"content_type":{"type":"integer"},"auth_type":{"type":"integer"},"add_key_to":{"type":"integer"},"token_url":{"type":"string"},"token_prefix":{"type":"string"},"csrf_url":{"type":"string"},"token_key":{"type":"string"},"token_header_key":{"type":"string"},"token_body":{"type":"string"},"csrf_key":{"type":"string"},"request_type":{"type":"integer"},"user":{"type":"string"},"header_params":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"api_type":{"type":"integer"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"is_active":{"type":"boolean"},"is_base64":{"type":"boolean"},"query_param":{"type":"boolean"},"is_sandbox":{"type":"boolean"},"sandbox_url":{"type":"string"},"is_webhook_enabled":{"type":"boolean"}},"required":["api_id","authentication_type","id","organization"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/apiregister/profile/{id}/":{"put":{"operationId":"ux_common_apiregister_profile_update","description":"This endpoint is used to edit an existing api_config for the current organization","summary":"Edits the api_config with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["API Registration"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRegister"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ApiRegister"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ApiRegister"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRegister"}}},"description":""}}}}}}
```

## Deletes the api\_config with given id

> This endpoint is used to delete an existing api\_config for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/apiregister/profile/{id}/":{"delete":{"operationId":"ux_common_apiregister_profile_destroy","description":"This endpoint is used to delete an existing api_config for the current organization","summary":"Deletes the api_config with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["API Registration"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /ux/common/apiregister/profile/allapi-list/

> API endpoint that allows API's to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ApiRegister":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"authentication_type":{"type":"string","readOnly":true},"api_id":{"type":"string","maxLength":225},"api_modified_id":{"type":"string","nullable":true},"name":{"type":"string","maxLength":225},"api_url":{"type":"string"},"description":{"type":"string"},"client_id":{"type":"string"},"app_code":{"type":"string"},"secret_key":{"type":"string"},"user_name":{"type":"string"},"api_password":{"type":"string"},"is_base64_password":{"type":"boolean"},"auth_key":{"type":"string"},"auth_value":{"type":"string"},"content_type":{"type":"integer"},"auth_type":{"type":"integer"},"add_key_to":{"type":"integer"},"token_url":{"type":"string"},"token_prefix":{"type":"string"},"csrf_url":{"type":"string"},"token_key":{"type":"string"},"token_header_key":{"type":"string"},"token_body":{"type":"string"},"csrf_key":{"type":"string"},"request_type":{"type":"integer"},"user":{"type":"string"},"header_params":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"api_type":{"type":"integer"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"is_active":{"type":"boolean"},"is_base64":{"type":"boolean"},"query_param":{"type":"boolean"},"is_sandbox":{"type":"boolean"},"sandbox_url":{"type":"string"},"is_webhook_enabled":{"type":"boolean"}},"required":["api_id","authentication_type","id","organization"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/apiregister/profile/allapi-list/":{"get":{"operationId":"ux_common_apiregister_profile_allapi_list_retrieve","description":"API endpoint that allows API's to be viewed or edited.","tags":["API Registration"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRegister"}}},"description":""}}}}}}
```

## GET /ux/common/apiregister/profile/api\_search/

> API endpoint that allows API's to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ApiRegister":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"authentication_type":{"type":"string","readOnly":true},"api_id":{"type":"string","maxLength":225},"api_modified_id":{"type":"string","nullable":true},"name":{"type":"string","maxLength":225},"api_url":{"type":"string"},"description":{"type":"string"},"client_id":{"type":"string"},"app_code":{"type":"string"},"secret_key":{"type":"string"},"user_name":{"type":"string"},"api_password":{"type":"string"},"is_base64_password":{"type":"boolean"},"auth_key":{"type":"string"},"auth_value":{"type":"string"},"content_type":{"type":"integer"},"auth_type":{"type":"integer"},"add_key_to":{"type":"integer"},"token_url":{"type":"string"},"token_prefix":{"type":"string"},"csrf_url":{"type":"string"},"token_key":{"type":"string"},"token_header_key":{"type":"string"},"token_body":{"type":"string"},"csrf_key":{"type":"string"},"request_type":{"type":"integer"},"user":{"type":"string"},"header_params":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"api_type":{"type":"integer"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"is_active":{"type":"boolean"},"is_base64":{"type":"boolean"},"query_param":{"type":"boolean"},"is_sandbox":{"type":"boolean"},"sandbox_url":{"type":"string"},"is_webhook_enabled":{"type":"boolean"}},"required":["api_id","authentication_type","id","organization"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/apiregister/profile/api_search/":{"get":{"operationId":"ux_common_apiregister_profile_api_search_retrieve","description":"API endpoint that allows API's to be viewed or edited.","tags":["API Registration"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRegister"}}},"description":""}}}}}}
```

## GET /ux/common/apiregister/profile/options/

> API endpoint that allows API's to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ApiRegister":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"authentication_type":{"type":"string","readOnly":true},"api_id":{"type":"string","maxLength":225},"api_modified_id":{"type":"string","nullable":true},"name":{"type":"string","maxLength":225},"api_url":{"type":"string"},"description":{"type":"string"},"client_id":{"type":"string"},"app_code":{"type":"string"},"secret_key":{"type":"string"},"user_name":{"type":"string"},"api_password":{"type":"string"},"is_base64_password":{"type":"boolean"},"auth_key":{"type":"string"},"auth_value":{"type":"string"},"content_type":{"type":"integer"},"auth_type":{"type":"integer"},"add_key_to":{"type":"integer"},"token_url":{"type":"string"},"token_prefix":{"type":"string"},"csrf_url":{"type":"string"},"token_key":{"type":"string"},"token_header_key":{"type":"string"},"token_body":{"type":"string"},"csrf_key":{"type":"string"},"request_type":{"type":"integer"},"user":{"type":"string"},"header_params":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"api_type":{"type":"integer"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"is_active":{"type":"boolean"},"is_base64":{"type":"boolean"},"query_param":{"type":"boolean"},"is_sandbox":{"type":"boolean"},"sandbox_url":{"type":"string"},"is_webhook_enabled":{"type":"boolean"}},"required":["api_id","authentication_type","id","organization"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/apiregister/profile/options/":{"get":{"operationId":"ux_common_apiregister_profile_options_retrieve","description":"API endpoint that allows API's to be viewed or edited.","tags":["API Registration"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRegister"}}},"description":""}}}}}}
```

## POST /ux/common/apiregister/profile/verify\_api/

> API endpoint that allows API's to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ApiRegister":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"authentication_type":{"type":"string","readOnly":true},"api_id":{"type":"string","maxLength":225},"api_modified_id":{"type":"string","nullable":true},"name":{"type":"string","maxLength":225},"api_url":{"type":"string"},"description":{"type":"string"},"client_id":{"type":"string"},"app_code":{"type":"string"},"secret_key":{"type":"string"},"user_name":{"type":"string"},"api_password":{"type":"string"},"is_base64_password":{"type":"boolean"},"auth_key":{"type":"string"},"auth_value":{"type":"string"},"content_type":{"type":"integer"},"auth_type":{"type":"integer"},"add_key_to":{"type":"integer"},"token_url":{"type":"string"},"token_prefix":{"type":"string"},"csrf_url":{"type":"string"},"token_key":{"type":"string"},"token_header_key":{"type":"string"},"token_body":{"type":"string"},"csrf_key":{"type":"string"},"request_type":{"type":"integer"},"user":{"type":"string"},"header_params":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"api_type":{"type":"integer"},"organization":{"type":"string","maxLength":225},"creation_time":{"type":"string","format":"date-time"},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"},"is_active":{"type":"boolean"},"is_base64":{"type":"boolean"},"query_param":{"type":"boolean"},"is_sandbox":{"type":"boolean"},"sandbox_url":{"type":"string"},"is_webhook_enabled":{"type":"boolean"}},"required":["api_id","authentication_type","id","organization"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/apiregister/profile/verify_api/":{"post":{"operationId":"ux_common_apiregister_profile_verify_api_create","description":"API endpoint that allows API's to be viewed or edited.","tags":["API Registration"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRegister"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ApiRegister"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ApiRegister"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiRegister"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/api-registration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
